

import java.io.*;

public class Copia {
	public static void main(String [] args) throws IOException {
		if ((args.length!=1) && (args.length!=2)) {
			System.err.println("Uso: Copia forig [fdest]");
			return;
		}
		if (args.length==2) {
			if (new File(args[0]).getCanonicalPath().equals(new File(args[1]).getCanonicalPath())) {
				System.err.println("Error: forig debe ser distinto de fdestino");
				return;
			}
		}
		InputStream ent = null;
		OutputStream sal = null;

		try {
			ent = new FileInputStream(args[0]);
			if (args.length==2)
				sal = new FileOutputStream(args[1]);
			else
				sal = System.out;

			int car;
			while ((car = ent.read()) != -1)
				sal.write(car);
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
